<?php
/**
 * Template part for displaying Block 1 section on homepage.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Food Express
 */

  $pageID = get_theme_mod( 'food_express_block1_page' );
  $block1_image = get_the_post_thumbnail_url( $pageID );
  $block1_url = get_theme_mod( 'food_express_block_1_btn_url' );
  $showLeft = get_theme_mod( 'food_express_block_1_img_left' );
  $container_class_block1 = get_theme_mod( 'food_express_homepage_container_class', true ) ? 'container' : 'fluid';

  if(! intval($pageID) ){
    return;
  }

?>

<section id="block-1" class="home-block homepage-block-1">
  <div class="content-wrap  <?php echo  esc_attr( $container_class_block1 ); ?>">
    <?php // user chose to show image on left of text.
    $showLeft = get_theme_mod('food_express_block_1_img_left');

    if( $showLeft ){
      echo '<div class="six columns"> <img src="' . esc_url( $block1_image ) . '" alt="' . esc_html( get_the_title( $pageID ) ) . __(' featured image', 'food-express') . '"/> </div>';
    } ?>

    <div class="six columns text-area">
      <?php
        if( intval($pageID) ){
          echo '<h2>' . esc_html( get_the_title( $pageID ) ) . '</h2>';
          if( get_the_excerpt( $pageID ) ){
            echo '<p class="description">' . esc_html( get_the_excerpt( $pageID ) ) . '</p>';
          }
        }
        if( intval($block1_url) ){
          echo '<a class="btn" href="' . esc_url( get_the_permalink( $block1_url ) ) . '">' . __( 'Read more', 'food-express' ) . '</a>';
        }
      ?>
    </div>

    <?php // default show image to the right of the text.
    if(! $showLeft ){
      echo '<div class="six columns"> <img src="' . esc_url( $block1_image ) . '" alt="' . esc_html( get_the_title( $pageID ) ) . __('featured image', 'food-express') . '"/> </div>';
    }?>
  </div>
</section>
